Skip to content

List all entitlements for a collection resource

Request

Beta
OAuth 2.0 scope:
  • okta.governance.collections.read
Admin roles:
  • APP_ADMIN

Lists all entitlements for an Entitlement Management (EM) enabled app resource in a collection. This method is only supported for resources with type APPLICATION that have Entitlement Management enabled.

Path
collectionIdstringrequired

Unique identifier for the collection

resourceIdstringrequired

Unique identifier for the resource

Query
limitinteger, [ 1 .. 200 ]

The maximum number of records returned in a response

Default:20
afterstring

Specifies the pagination cursor for the next page of results. Treat this as an opaque value obtained through the standard link headers. See pagination.

Example:after=00u68w6vzKLultXS97g6
GET
/governance/api/v2/collections/{collectionId}/resources/{resourceId}/entitlements
curl -i -X GET \
  'https://okta-subdomain.pixtulate.com/governance/api/v2/collections/{collectionId}/resources/{resourceId}/entitlements?limit=20&after=00u68w6vzKLultXS97g6'

Responses

A successful collection resource entitlements list response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
dataArray of objects(entitlement-full)
metadataobject(list-metadata)

Metadata for the list response

Response
Response showing the paginated list of entitlements for an app resource in a collection
{ "data": [ {}, {} ], "_links": { "self": {} }, "metadata": { "total": 2 } }